org.richfaces.ui.iteration.dataTable

## Class UIDataTable

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.ui.iteration.UIDataAdaptor
      - - org.richfaces.ui.iteration.UISequence
        - - org.richfaces.ui.iteration.UIDataTableBase
          - - org.richfaces.ui.iteration.dataTable.AbstractDataTable
            - - org.richfaces.ui.iteration.dataTable.UIDataTable

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, EventsRowProps, IterationProps, RowsProps, SequenceProps, StyleClassProps, StyleProps, MetaComponentEncoder, MetaComponentResolver, IterationStateHolder, Row

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIDataTable
      extends AbstractDataTable
      implements javax.faces.component.behavior.ClientBehaviorHolder, EventsRowProps, IterationProps, RowsProps, SequenceProps, StyleClassProps, StyleProps

  The <r:dataTable> component is used to render a table, including the table's caption. It works in conjunction with the <r:column> and <r:columnGroup> components to list the contents of a data model.

  Author:
    Anton Belevich

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIDataTable.Properties`

    - ### Nested classes/interfaces inherited from class org.richfaces.ui.iteration.UIDataTableBase

      `UIDataTableBase.PropertyKeys`

    - ### Nested classes/interfaces inherited from class org.richfaces.ui.iteration.UIDataAdaptor

      `UIDataAdaptor.ComponentVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.ui.iteration.dataTable.AbstractDataTable

      `CAPTION_FACET_NAME`

    - ### Fields inherited from class org.richfaces.ui.iteration.UIDataTableBase

      `BODY, FOOTER, FOOTER_FACET_NAME, HEADER, HEADER_FACET_NAME, NODATA_FACET_NAME`

    - ### Fields inherited from class org.richfaces.ui.iteration.UIDataAdaptor

      `decodeVisitor, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.ui.common.meta.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIDataTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.component.UIComponent` | `getCaption()`
    `String` | `getCaptionClass()` Assigns one or more space-separated CSS class names to the component caption
    `String` | `getColumnClasses()` Assigns one or more space-separated CSS class names to the columns of the table.
    `String` | `getDefaultEventName()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getFilterVar()` Name of the variable used in EL expression provided in filterExpression in order to decide about displaying particular row.
    `javax.faces.component.UIComponent` | `getFooter()` The footer of the table
    `String` | `getFooterClass()` Assigns one or more space-separated CSS class names to the table footer
    `javax.faces.component.UIComponent` | `getHeader()` The header of the table
    `String` | `getHeaderClass()` Assigns one or more space-separated CSS class names to the table header
    `javax.faces.component.UIComponent` | `getNoData()` The content to be displayed when table contains no rows (no data provided).
    `String` | `getNoDataLabel()` The label to be displayed when table contains no rows (no data provided).
    `String` | `getOnrowclick()` Javascript code executed when a pointer button is clicked over table row.
    `String` | `getOnrowdblclick()` Javascript code executed when a pointer button is double clicked over table row.
    `String` | `getOnrowkeydown()` Javascript code executed when a key is pressed down over table row.
    `String` | `getOnrowkeypress()` Javascript code executed when a key is pressed and released over table row.
    `String` | `getOnrowkeyup()` Javascript code executed when a key is released over table row.
    `String` | `getOnrowmousedown()` Javascript code executed when a pointer button is pressed down over table row.
    `String` | `getOnrowmousemove()` Javascript code executed when a pointer button is moved within table row.
    `String` | `getOnrowmouseout()` Javascript code executed when a pointer button is moved away from table row.
    `String` | `getOnrowmouseover()` Javascript code executed when a pointer button is moved onto table row.
    `String` | `getOnrowmouseup()` Javascript code executed when a pointer button is released over table row.
    `String` | `getRowClass()` Assigns one or more space-separated CSS class names to the table cells
    `String` | `getRowClasses()` Assigns one or more space-separated CSS class names to the rows of the table.
    `SortMode` | `getSortMode()` Specifies when table will be sorted according to one column (single) or multiple columns (multi).
    `Collection<Object>` | `getSortPriority()` Comma-separated list of column names determining priority of row sorting.
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `void` | `setCaption(javax.faces.component.UIComponent facet)`
    `void` | `setCaptionClass(String captionClass)`
    `void` | `setColumnClasses(String columnClasses)`
    `void` | `setFilterVar(String filterVar)`
    `void` | `setFooter(javax.faces.component.UIComponent facet)`
    `void` | `setFooterClass(String footerClass)`
    `void` | `setHeader(javax.faces.component.UIComponent facet)`
    `void` | `setHeaderClass(String headerClass)`
    `void` | `setNoData(javax.faces.component.UIComponent facet)`
    `void` | `setNoDataLabel(String noDataLabel)`
    `void` | `setOnrowclick(String onrowclick)`
    `void` | `setOnrowdblclick(String onrowdblclick)`
    `void` | `setOnrowkeydown(String onrowkeydown)`
    `void` | `setOnrowkeypress(String onrowkeypress)`
    `void` | `setOnrowkeyup(String onrowkeyup)`
    `void` | `setOnrowmousedown(String onrowmousedown)`
    `void` | `setOnrowmousemove(String onrowmousemove)`
    `void` | `setOnrowmouseout(String onrowmouseout)`
    `void` | `setOnrowmouseover(String onrowmouseover)`
    `void` | `setOnrowmouseup(String onrowmouseup)`
    `void` | `setRowClass(String rowClass)`
    `void` | `setRowClasses(String rowClasses)`
    `void` | `setSortMode(SortMode sortMode)`
    `void` | `setSortPriority(Collection<Object> sortPriority)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`

    - ### Methods inherited from class org.richfaces.ui.iteration.UIDataTableBase

      `addFilteringListener, addSortingListener, columns, createExtendedDataModel, dataChildren, encodeMetaComponent, fixedChildren, getFilteringListeners, getRendersChildren, getSortingListeners, getSupportedMetaComponents, hasRowChildren, isColumnFacetPresent, queueEvent, removeFilteringListener, removeSortingListener, resolveClientId, restoreChildState, substituteUnresolvedClientId, visitDataChildren, visitFixedChildren, walk`

    - ### Methods inherited from class org.richfaces.ui.iteration.UISequence

      `captureOrigValue, createComponentState, createFacesModel, getActualFirst, getActualRows, getFirst, getIterationStatusVar, getRelativeClientId, getRelativeRowIndex, getRowIndex, getRowKeyConverter, getRows, getValue, preEncodeBegin, restoreOrigValue, setFirst, setIterationStatusVar, setRows, setupVariable, setValue, setValueBinding, setValueExpression, updateState, updateState`

    - ### Methods inherited from class org.richfaces.ui.iteration.UIDataAdaptor

      `allFixedChildren, broadcast, clearExtendedDataModel, clearInitialState, createUniqueId, doUpdate, extractKeySegment, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, resetChildState, resetDataModel, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildrenMetaComponents, visitTree, walk, wrapEvent`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.ui.attribute.IterationProps

      `getFirst, getIterationStatusVar, getRowKeyVar, getStateVar, getValue, getVar, isKeepSaved`

    - ### Methods inherited from interface org.richfaces.ui.attribute.RowsProps

      `getRows`

    - ### Methods inherited from interface org.richfaces.ui.attribute.SequenceProps

      `getRowKeyConverter`

    - ### Methods inherited from interface org.richfaces.ui.iteration.Row

      `setRowKey, walk`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIDataTable

          public UIDataTable()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIDataAdaptor`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getCaptionClass

          public String getCaptionClass()

      Description copied from class: `AbstractDataTable`
      Assigns one or more space-separated CSS class names to the component caption
      Specified by:
        `getCaptionClass` in class `AbstractDataTable`

    - #### setCaptionClass

          public void setCaptionClass(String captionClass)

    - #### getColumnClasses

          public String getColumnClasses()

      Description copied from class: `UIDataTableBase`
      Assigns one or more space-separated CSS class names to the columns of the table. If the CSS class names are comma-separated, each class will be assigned to a particular column in the order they follow in the attribute. If you have less class names than columns, the class will be applied to every n-fold column where n is the order in which the class is listed in the attribute. If there are more class names than columns, the overflow ones are ignored.
      Specified by:
        `getColumnClasses` in class `UIDataTableBase`

    - #### setColumnClasses

          public void setColumnClasses(String columnClasses)

    - #### getFilterVar

          public String getFilterVar()

      Description copied from class: `UIDataTableBase`
      Name of the variable used in EL expression provided in filterExpression in order to decide about displaying particular row.
      Specified by:
        `getFilterVar` in class `UIDataTableBase`

    - #### setFilterVar

          public void setFilterVar(String filterVar)

    - #### getFooterClass

          public String getFooterClass()

      Description copied from class: `UIDataTableBase`
      Assigns one or more space-separated CSS class names to the table footer
      Specified by:
        `getFooterClass` in class `UIDataTableBase`

    - #### setFooterClass

          public void setFooterClass(String footerClass)

    - #### getHeaderClass

          public String getHeaderClass()

      Description copied from class: `UIDataTableBase`
      Assigns one or more space-separated CSS class names to the table header
      Specified by:
        `getHeaderClass` in class `UIDataTableBase`

    - #### setHeaderClass

          public void setHeaderClass(String headerClass)

    - #### getNoDataLabel

          public String getNoDataLabel()

      Description copied from class: `UIDataTableBase`
      The label to be displayed when table contains no rows (no data provided).
      Specified by:
        `getNoDataLabel` in class `UIDataTableBase`

    - #### setNoDataLabel

          public void setNoDataLabel(String noDataLabel)

    - #### getOnrowclick

          public String getOnrowclick()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is clicked over table row.
      Specified by:
        `getOnrowclick` in interface `EventsRowProps`
      Specified by:
        `getOnrowclick` in class `UIDataTableBase`

    - #### setOnrowclick

          public void setOnrowclick(String onrowclick)

    - #### getOnrowdblclick

          public String getOnrowdblclick()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is double clicked over table row.
      Specified by:
        `getOnrowdblclick` in interface `EventsRowProps`
      Specified by:
        `getOnrowdblclick` in class `UIDataTableBase`

    - #### setOnrowdblclick

          public void setOnrowdblclick(String onrowdblclick)

    - #### getOnrowkeydown

          public String getOnrowkeydown()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a key is pressed down over table row.
      Specified by:
        `getOnrowkeydown` in interface `EventsRowProps`
      Specified by:
        `getOnrowkeydown` in class `UIDataTableBase`

    - #### setOnrowkeydown

          public void setOnrowkeydown(String onrowkeydown)

    - #### getOnrowkeypress

          public String getOnrowkeypress()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a key is pressed and released over table row.
      Specified by:
        `getOnrowkeypress` in interface `EventsRowProps`
      Specified by:
        `getOnrowkeypress` in class `UIDataTableBase`

    - #### setOnrowkeypress

          public void setOnrowkeypress(String onrowkeypress)

    - #### getOnrowkeyup

          public String getOnrowkeyup()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a key is released over table row.
      Specified by:
        `getOnrowkeyup` in interface `EventsRowProps`
      Specified by:
        `getOnrowkeyup` in class `UIDataTableBase`

    - #### setOnrowkeyup

          public void setOnrowkeyup(String onrowkeyup)

    - #### getOnrowmousedown

          public String getOnrowmousedown()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is pressed down over table row.
      Specified by:
        `getOnrowmousedown` in interface `EventsRowProps`
      Specified by:
        `getOnrowmousedown` in class `UIDataTableBase`

    - #### setOnrowmousedown

          public void setOnrowmousedown(String onrowmousedown)

    - #### getOnrowmousemove

          public String getOnrowmousemove()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is moved within table row.
      Specified by:
        `getOnrowmousemove` in interface `EventsRowProps`
      Specified by:
        `getOnrowmousemove` in class `UIDataTableBase`

    - #### setOnrowmousemove

          public void setOnrowmousemove(String onrowmousemove)

    - #### getOnrowmouseout

          public String getOnrowmouseout()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is moved away from table row.
      Specified by:
        `getOnrowmouseout` in interface `EventsRowProps`
      Specified by:
        `getOnrowmouseout` in class `UIDataTableBase`

    - #### setOnrowmouseout

          public void setOnrowmouseout(String onrowmouseout)

    - #### getOnrowmouseover

          public String getOnrowmouseover()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is moved onto table row.
      Specified by:
        `getOnrowmouseover` in interface `EventsRowProps`
      Specified by:
        `getOnrowmouseover` in class `UIDataTableBase`

    - #### setOnrowmouseover

          public void setOnrowmouseover(String onrowmouseover)

    - #### getOnrowmouseup

          public String getOnrowmouseup()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is released over table row.
      Specified by:
        `getOnrowmouseup` in interface `EventsRowProps`
      Specified by:
        `getOnrowmouseup` in class `UIDataTableBase`

    - #### setOnrowmouseup

          public void setOnrowmouseup(String onrowmouseup)

    - #### getRowClass

          public String getRowClass()

      Description copied from class: `UIDataTableBase`
      Assigns one or more space-separated CSS class names to the table cells
      Specified by:
        `getRowClass` in class `UIDataTableBase`

    - #### setRowClass

          public void setRowClass(String rowClass)

    - #### getRowClasses

          public String getRowClasses()

      Description copied from class: `UIDataTableBase`
      Assigns one or more space-separated CSS class names to the rows of the table. If the CSS class names are comma-separated, each class will be assigned to a particular row in the order they follow in the attribute. If you have less class names than rows, the class will be applied to every n-fold row where n is the order in which the class is listed in the attribute. If there are more class names than rows, the overflow ones are ignored.
      Specified by:
        `getRowClasses` in class `UIDataTableBase`

    - #### setRowClasses

          public void setRowClasses(String rowClasses)

    - #### getSortMode

          public SortMode getSortMode()

      Description copied from class: `UIDataTableBase`
      Specifies when table will be sorted according to one column (single) or multiple columns (multi).
      Specified by:
        `getSortMode` in class `UIDataTableBase`

    - #### setSortMode

          public void setSortMode(SortMode sortMode)

    - #### getSortPriority

          public Collection<Object> getSortPriority()

      Description copied from class: `UIDataTableBase`
      Comma-separated list of column names determining priority of row sorting.
      Specified by:
        `getSortPriority` in class `UIDataTableBase`

    - #### setSortPriority

          public void setSortPriority(Collection<Object> sortPriority)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `StyleProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `StyleProps`
      Specified by:
        `getStyle` in class `UIDataTableBase`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `StyleClassProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `StyleClassProps`
      Specified by:
        `getStyleClass` in class `AbstractDataTable`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getCaption

          public javax.faces.component.UIComponent getCaption()

      Specified by:
        `getCaption` in class `AbstractDataTable`

    - #### setCaption

          public void setCaption(javax.faces.component.UIComponent facet)

    - #### getFooter

          public javax.faces.component.UIComponent getFooter()

      Description copied from class: `UIDataTableBase`
      The footer of the table
      Specified by:
        `getFooter` in class `UIDataTableBase`

    - #### setFooter

          public void setFooter(javax.faces.component.UIComponent facet)

    - #### getNoData

          public javax.faces.component.UIComponent getNoData()

      Description copied from class: `UIDataTableBase`
      The content to be displayed when table contains no rows (no data provided).
      Specified by:
        `getNoData` in class `UIDataTableBase`

    - #### setNoData

          public void setNoData(javax.faces.component.UIComponent facet)

    - #### getHeader

          public javax.faces.component.UIComponent getHeader()

      Description copied from class: `UIDataTableBase`
      The header of the table
      Specified by:
        `getHeader` in class `UIDataTableBase`

    - #### setHeader

          public void setHeader(javax.faces.component.UIComponent facet)

Copyright © 2014 JBoss by Red Hat. All rights reserved.